Share feedback
Answers are generated based on the documentation.

Get groups of an organization

GET/v2/orgs/{org_name}/groups

Get groups of an organization.

This operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

org_name path Required

Name of the organization (namespace).

Type: string

All schema constraints and annotations
{
  "type": "string"
}

page query

Page number (starts on 1).

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}

page_size query

Number of items (rows) per page.

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}

username query

Get groups for the specified username in the organization.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

search query

Get groups for the specified group in the organization.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

application/json

Type: object

count

Type: number

All schema constraints and annotations
{
  "example": 1,
  "type": "number"
}
next

Type: string | null

All schema constraints and annotations
{
  "example": null,
  "type": [
    "string",
    "null"
  ]
}
previous

Type: string | null

All schema constraints and annotations
{
  "example": null,
  "type": [
    "string",
    "null"
  ]
}
results

Type: array

Array item

Schema: org_group

All schema constraints and annotations
{
  "items": {
    "$ref": "#/components/schemas/org_group"
  },
  "type": "array"
}
All schema constraints and annotations
{
  "examples": [
    {
      "count": 1,
      "next": null,
      "previous": null,
      "results": [
        {
          "description": "Development team",
          "id": 10,
          "member_count": 1,
          "name": "developers",
          "role": "member",
          "uuid": "e36eca69-4cc8-4f17-9845-ae8c2b832691"
        }
      ]
    }
  ],
  "properties": {
    "count": {
      "example": 1,
      "type": "number"
    },
    "next": {
      "example": null,
      "type": [
        "string",
        "null"
      ]
    },
    "previous": {
      "example": null,
      "type": [
        "string",
        "null"
      ]
    },
    "results": {
      "items": {
        "$ref": "#/components/schemas/org_group"
      },
      "type": "array"
    }
  },
  "type": "object"
}

Schema example

{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
    {
      "description": "Development team",
      "id": 10,
      "member_count": 1,
      "name": "developers",
      "role": "member",
      "uuid": "e36eca69-4cc8-4f17-9845-ae8c2b832691"
    }
  ]
}

Response 401

Unauthorized

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "unauthorized"
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

#/components/schemas/org_group

Complete operation contract
{
  "description": "Get groups of an organization.\n\nThis operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.\n",
  "operationId": "getV2OrgsByOrgNameGroups",
  "parameters": [
    {
      "$ref": "#/components/parameters/page"
    },
    {
      "$ref": "#/components/parameters/page_size"
    },
    {
      "description": "Get groups for the specified username in the organization.",
      "in": "query",
      "name": "username",
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "Get groups for the specified group in the organization.",
      "in": "query",
      "name": "search",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "examples": [
              {
                "count": 1,
                "next": null,
                "previous": null,
                "results": [
                  {
                    "description": "Development team",
                    "id": 10,
                    "member_count": 1,
                    "name": "developers",
                    "role": "member",
                    "uuid": "e36eca69-4cc8-4f17-9845-ae8c2b832691"
                  }
                ]
              }
            ],
            "properties": {
              "count": {
                "example": 1,
                "type": "number"
              },
              "next": {
                "example": null,
                "type": [
                  "string",
                  "null"
                ]
              },
              "previous": {
                "example": null,
                "type": [
                  "string",
                  "null"
                ]
              },
              "results": {
                "items": {
                  "$ref": "#/components/schemas/org_group"
                },
                "type": "array"
              }
            },
            "type": "object"
          }
        }
      },
      "description": ""
    },
    "401": {
      "$ref": "#/components/responses/unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/forbidden"
    },
    "404": {
      "$ref": "#/components/responses/not_found"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "Get groups of an organization",
  "tags": [
    "groups"
  ]
}